org.eclipse.gef.common.activate

## Interface IActivatable

    public interface IActivatable

An `IActivatable` represents an entity that can be activated ( `activate()`) and deactivated (`deactivate()`) as required.

The current activation state of an `IActivatable` (whether the entity is active or not) can be queried by clients (`isActive()`) and changes to it can be observed via the `active property`

Any client implementing this interface may internally use an `ActivatableSupport` as a delegate to easily realize the required functionality.

### Property Summary

All Methods Instance Methods Abstract Methods
`javafx.beans.property.ReadOnlyBooleanProperty` `active` A read-only property providing information about the active state if this `IActivatable`.

### Field Summary

Fields
`static java.lang.String` `ACTIVE_PROPERTY` The name of the `active property`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `activate()` Activates the `IActivatable`.
`javafx.beans.property.ReadOnlyBooleanProperty` `activeProperty()` A read-only property providing information about the active state if this `IActivatable`.
`void` `deactivate()` Deactivates the `IActivatable`.
`boolean` `isActive()` Reports whether this `IActivatable` is active or inactive, which resembles the value of the `active property`.

### Property Detail

#### active

    javafx.beans.property.ReadOnlyBooleanProperty activeProperty

A read-only property providing information about the active state if this `IActivatable`.

See Also:
  `isActive()`

### Field Detail

#### ACTIVE_PROPERTY

    static final java.lang.String ACTIVE_PROPERTY

The name of the `active property`.

See Also:
  Constant Field Values

### Method Detail

#### activate

    void activate()

Activates the `IActivatable`. It is expected that a call to `isActive()` returns `true` after this method has been called (unless `deactivate()` is called to deactivate the `IActivatable`).

#### activeProperty

    javafx.beans.property.ReadOnlyBooleanProperty activeProperty()

A read-only property providing information about the active state if this `IActivatable`.

See Also:
  `isActive()`

#### deactivate

    void deactivate()

Deactivates the `IActivatable`. It is expected that a call to `isActive()` return `false` after this method has been called (unless {`activate()` is called to re-activate the `IAdaptable`.

#### isActive

    boolean isActive()

Reports whether this `IActivatable` is active or inactive, which resembles the value of the `active property`.

Returns:
  `true` in case the `IActivatable` is active, `false` otherwise.